package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Site;
import com.realnet.vpspack.Services.SiteService ;


















@RequestMapping(value = "/Site")
 @CrossOrigin("*") 
@RestController
public class SiteController {
	@Autowired
	private SiteService Service;

@Value("${projectPath}")
	private String projectPath;
 


















	@PostMapping("/Site")
		  public Site Savedata(@RequestBody Site data) {
		Site save = Service.Savedata(data)	;

















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Site/{id}")
	public  Site update(@RequestBody Site data,@PathVariable Integer id ) {
		Site update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Site/getall/page")
	public Page<Site> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Site> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Site")
	public List<Site> getdetails() {
		 List<Site> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Site")
	public List<Site> getallwioutsec() {
		 List<Site> get = Service.getdetails();		
		return get;
}
@GetMapping("/Site/{id}")
	public  Site  getdetailsbyId(@PathVariable Integer id ) {
		Site  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Site/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



















}